tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Remy Maucherat" <r...@apache.org>
Subject Re: cvs commit: jakarta-tomcat-4.0/jasper/src/bin jasper.bat jasper.sh
Date Mon, 01 Apr 2002 18:20:25 GMT
> Remy Maucherat wrote:

> >
> > My first concern is that Tomcat always can at least run no matter what
> > extensions that user has installed. Whether or not those extensions are
> > accessible to Tomcat is, IMHO, a feature that we may or may not want to
> > include.
>
>  Quitely dropping extensions that the user has installed
> is unintuitve, and in some ways worse than the current
> situation.
>
>  Perhaps a combination? Normal behavior is to check api
> versions, exit if they don't match. Fallback if it's
> impossible to remove the extensions is to use the
> "java.ext.dirs=" hack? That lets a user get Tomcat
> running no matter what, but with full awareness of the
> tradeoff.
>
>
>  Either way, the current situation is a problem for many
> people, as can be seen by a quick scan of the tomcat-users
> list.

Making life easier for first time users is a commendable goal, but it is
likely that the servlet API as a system extension will cause trouble anyway
at some point later on, so why bother ? Also, since Costin vetoed the patch,
he's the one who should be convinced (I'm merely -0 here; -1 if the problems
with JDK 1.4 can't be fixed).

Remy


--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message